@import "../../styles/styles.scss";

.header {
  background-color: var(--amalfiBlue);

  align-items: center;
  display: flex;
  justify-content: center;
  &-content {
    display: flex;
    justify-content: space-between;
    max-width: 840px;
    width: 100%;
    min-height: 70px;
    height: 100%;
    align-items: center;
    &-link {
      height: 100%;
      &-el {
        height: 100%;
        text-decoration: none !important;
        &-placeholder {
          font-size: 1.5rem;
          font-weight: bold;
          text-transform: capitalize;
          margin: 0;
          text-align: center;
          background-color: white;
          padding-top: 0.5rem;
          color: var(--amalfiBlue);
        }
      }
    }
    &-desktop-options {
      ol {
        margin: 0;
        list-style-type: none;
        display: flex;
        align-items: center;
        li {
          a {
            height: min-content;
            margin-right: 1rem;
            color: white;
            text-transform: uppercase;
            text-decoration: none;

            &:active {
              color: white;
            }
          }
        }
      }
    }
    &-mobile-options {
      display: none;
      .icon-btn {
        background-color: var(--amalfiBlue);
        border: none;
        border-radius: 50%;
        .icon {
          color: white;
        }
      }
      &-list {
        position: absolute;
        z-index: 100;
        right: 5%;
        margin-top: 0.25rem;
        background-color: var(--amalfiBlue);
        border: 1px solid white;
        border-radius: 0.25rem;

        ol {
          width: 100%;
          padding: 0;
          margin: 0;
          list-style-type: none;

          li {
            padding: 0 1rem;
            a {
              height: min-content;
              margin-right: 1rem;
              color: white;
              text-transform: uppercase;
              text-decoration: none;

              &:active {
                color: white;
              }
            }
            a:hover {
              background-color: #00bcd4;
            }
          }
          li:hover {
            cursor: pointer;
            background-color: #00bcd4;
          }
        }
      }
    }
  }
}

.avatar {
  width: 50px;
  height: 50px;
  border-radius: 50%;
}

@media (max-width: $md) {
  .header {
    &-content {
      padding: 0 5%;
    }
  }
}

@media (max-width: $sm) {
  .header {
    &-content {
      &-desktop-options {
        display: none;
      }
      &-mobile-options {
        display: block;
      }
    }
  }
}
